This package contains some utility classes to make working with Dart's FFI a little bit simpler and more efficient. You should be familiar with Dart's FFI. You find practical code examples in the api-documentation.

## What's ini it?
- `Array`: essentially a `Pointer` that knows its length
- `Arena`: for [arena (or region-based) allocation](https://en.wikipedia.org/wiki/Region-based_memory_management) 
- `SharedArray`: a [reference-counted ](https://en.wikipedia.org/wiki/Reference_counting) array
- `PlatformSpecific`: deals with the platform specific file extension of dynamic libraries
